#
# spec file for package mega-sdist
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mega-sdist
Version:        0.3.3.2
Release:        1.9
Summary:        Handles uploading to Hackage from mega repos
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-optparse-simple-devel
BuildRequires:  ghc-rio-devel
BuildRequires:  ghc-rio-orphans-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-tar-conduit-devel
BuildRequires:  ghc-yaml-devel

%description
Please see the description on Github at
<https://github.com/snoyberg/mega-sdist#readme>.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%license LICENSE
%doc ChangeLog.md README.md
%{_bindir}/%{name}

%changelog
* Mon Dec 17 2018 psimons@suse.com
- Update mega-sdist to version 0.3.3.2.
  [#]# 0.3.3.2
  * Compatibility with newer http-conduit [stackage#4215](https://github.com/commercialhaskell/stackage/issues/4215)
* Tue Jul 17 2018 psimons@suse.com
- Update mega-sdist to version 0.3.3.1.
  [#] ChangeLog for mega-sdist
  [#]# 0.3.3.1
  * Enable multithreaded runtime
* Tue Jul 10 2018 psimons@suse.com
- Add mega-sdist at version 0.3.3.
